#
# spec file for package tano
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Packman team <packman@links2linux.de>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#

%if 0%{?suse_version} == 1315 && 0%{?is_opensuse}
%define Leap_verSP 4210
%endif
%if 0%{?Leap_verSP} == 4210 || 0%{?suse_version} > 1315
%bcond_without qt5
%endif
Name:           tano
Version:        1.2.1
Release:        4.1
Summary:        Open-source cross-platform IP TV Player
Summary(ru):    Кроссплатформенный IP TV поигрыватель с открытым исходным кодом
License:        LGPL-3.0
Group:          Productivity/Multimedia/Video/Players
Url:            http://tano.si/
Source:         https://github.com/ntadej/tano/archive/1.2.1.tar.gz#/%{name}_%{version}_src.tar.gz
# PATCH-FEATURE-UPSTREAM tano-1.2.1-add-rus-translate-to-desktop-file.patch svalx@svalx.net -- add Russiand Generic name and description.
Patch0:         tano-1.2.1-add-rus-translate-to-desktop-file.patch
# PATCH-FIX-OPENSUSE tano-1.2.1-fix-icon-install-path.patch svalx@svalx.net -- fix desktop icon install path.
Patch1:         tano-1.2.1-fix-icon-install-path.patch
# PATCH-FIX-UPSTREAM qt5-5.5.patch avvissu@yandex.ru -- Fix build with Qt5 >= 5.5
Patch2:         tano-1.2.1_qt5-5.5.patch
BuildRequires:  cmake >= 2.8.6
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
%if %{with qt5}
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-qttools-devel
%else
BuildRequires:	libqt4-devel >= 4.8
%endif
BuildRequires:  libvlc-qt-devel >= 0.10.0
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Packager:       Alexey Svistunov <svalx@svalx.net>

%description
Tano is an free (libre), open-source cross-platform IP TV player. It
features full IP TV playback with EPG and recorder. It is a simple way to
watch IP television and use EPG on Linux.

%description -l ru
Свободный кроссплатформенный проигрыватель IP TV с открытым исходным кодом.
Поддерживаются все функции просмотра IP TV, включая электронную программу
передач и запись трансляций. Это простое решение для для просмотра IP
телевидения и использование EPG в Linux.

%package        devel
Summary:        Include Files and Libraries Mandatory for Development
Summary(ru):    Файлы и библиотеки предназанченные для разработки
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%description -l ru devel
Пакет %{name}-devel включает в себя библиотеки и заголовочные файлы,
необходимые для разработки приложений с использованием %{name}.

%lang_package

%prep
%setup -q
%patch0
%patch1
%if %{with qt5}
%patch2 -p1
%endif

%build
export CFLAGS="%{optflags} -ffast-math"
%if %{with qt5}
%cmake -DWITH_QT5:BOOL=ON
%else
%cmake -DWITH_QT5:BOOL=OFF
%endif
make -j1

%install
%make_install -C build

%suse_update_desktop_file -r %{name} AudioVideo Player Video TV
%fdupes %{buildroot}/%{_datadir}/%{name}/icons/tano-default

%post -n %{name}
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post

%postun -n %{name}
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%{_bindir}/tano
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons/tano-default/
%{_libdir}/lib%{name}core.so.*
%{_libdir}/lib%{name}widgets.so.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files devel
%defattr(-,root,root)
%{_libdir}/lib%{name}core.so
%{_libdir}/lib%{name}widgets.so

%files lang
%defattr(-,root,root,-)
%{_datadir}/%{name}/lang/

%changelog
* Sat Nov  7 2015 avvissu@yandex.ru
- Fix build with Qt5 >= 5.5 (tano-1.2.1_qt5-5.5.patch)
- Build with qt5 on openSUSE 42.1: add %%%%Leap_4210
* Wed Apr 22 2015 avvissu@yandex.ru
- Build with Qt4 for openSUSE 13.1
* Sun Apr 19 2015 avvissu@yandex.ru
- Fix backtrace on openSUSE >= 13.2 -> cause: last update for
  libvlc-qt0 with support Qt5
  * switch to Qt5 build
- Change URL
- Spec file cleanup
* Mon Feb 25 2013 svalx@svalx.net
- Initial package.
